Subject: Re: [Secdispatch] Signature Validation Token (SVT) - Request for time slot at secdispatch in Vancouver IETF

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 1 Mar 2020 17:40:35 -0800

On Wed, Feb 26, 2020 at 11:11:52AM +0100, Stefan Santesson wrote:
> Hi,
> 
> Great question!
> 
> We have not yet identified any reason to create any mechanisms within the present specification even though we recognize that this concept could be supported by external mechanisms such as block chaining and hash trees etc.
> 
> However. I'm more than willing to discuss whether anything should be added to the specifications.
> 
> The basic claim and idea is that storing a claim from a trusted authority that a particular certificate was valid at a certain point in time is no different from storing a claim that the whole signature was valid at a certain point in time.
> This change of how things are done (from the former to the latter) do however have an extreme positive effect on the simplicity of the solution.
> This is the only parameter that is fixed. Everything else can be discussed.

I think that our general trend is to recognize that very few things (e.g.,
the "trusted authority") behave perfectly and without error, and thus to
build in mechanisms to detect and/or recover from such failure when the
cost of doing so is not too great.  So I would welcome research into what
mechanisms are available and their cost, so as to assess whether the cost
is "too great".

-Ben

> Stefan Santesson 
> 
> On 2020-02-26, 02:25, "Secdispatch on behalf of Benjamin Kaduk" <[email-masked] on behalf of [email-masked]> wrote:
> 
>     
>     Are there any technical mechanisms (e.g., blockchain with periodic
>     timestamps) to mitigate the requirement to trust the validation/re-signing
>     service?  There are probably some solution sketches in the list archives
>     here or on saag ("merkle tree" might be a good search term).
>     
>     -Ben
>     
>     
>     
>     
> 
>